> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paxos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payout Group

> Updates a payout group. Any changes to a payout group which has an on-chain component
will cause the unclaimed rewards for that group to be implicitly claimed. No details of
the implicit claiming are returned in this API response.

```bash OAuth Scope theme={null}
rewards:write_payout_groups
```


## OpenAPI

````yaml put /rewards/payout-groups/{id}
openapi: 3.0.0
info:
  title: Paxos Rewards API
  version: v2-preview
servers: []
security: []
paths:
  /rewards/payout-groups/{id}:
    put:
      tags:
        - Payout Groups
      summary: Update Payout Group
      description: >-
        Updates a payout group. Any changes to a payout group which has an
        on-chain component will cause the unclaimed rewards for that group to be
        implicitly claimed. No details of the implicit claiming are returned in
        this API response.
      operationId: UpdatePayoutGroup
      parameters:
        - name: id
          description: UUID direct reference to the existing payout group.
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/RewardsPayoutGroupServiceUpdatePayoutGroupBody
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdatePayoutGroupResponse'
      security:
        - OAuth2:
            - rewards:write_payout_groups
components:
  schemas:
    RewardsPayoutGroupServiceUpdatePayoutGroupBody:
      type: object
      properties:
        name:
          type: string
          description: User-readable name for this group (optional).
        jurisdiction:
          type: string
          description: Jurisdiction for this payout group (optional, e.g. "US", "EU").
    UpdatePayoutGroupResponse:
      type: object
      properties:
        group:
          $ref: '#/components/schemas/PayoutGroup'
    PayoutGroup:
      type: object
      required:
        - id
        - ledger
        - asset_type
        - rate_id
        - jurisdiction
        - claimer_address
        - onchain_status
        - balance
        - created_at
        - updated_at
      properties:
        id:
          type: string
          description: UUID direct reference to the created payout group.
        ledger:
          type: string
          description: Ledger identifier.
        asset_type:
          type: string
          description: Asset type for this payout group.
        rate_id:
          type: string
          description: Rate ID associated with this payout group.
        jurisdiction:
          type: string
          description: Jurisdiction for this payout group.
        name:
          type: string
          description: User-readable name for this group.
        claimer_address:
          type: string
          description: Address with signing authority to claim rewards for this group.
        manager_address:
          type: string
          description: >-
            Address that manages this payout group. Defaults to claimer_address
            if not explicitly set.
        destination_address:
          type: string
          description: >-
            Address that receives reward payouts for this group. Defaults to
            claimer_address if not explicitly set.
        onchain_group_id:
          type: string
          format: int64
          description: On-chain group ID (optional).
        onchain_status:
          type: string
          description: Status of the on-chain group.
        balance:
          type: string
          description: Current balance of unclaimed rewards.
        balance_at:
          type: string
          format: date-time
          description: Balance timestamp (optional).
        last_claim_all_at:
          type: string
          format: date-time
          description: Last claim all timestamp (optional).
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://oauth.paxos.com/oauth2/token
          scopes:
            rewards:read_monitoring_address: Read reward addresses
            rewards:write_monitoring_address: Create and manage reward addresses
            rewards:read_claims_schedule: Read claim schedules
            rewards:write_claims_schedule: Create and manage claim schedules
            rewards:read_claims: Read claims
            rewards:read_payout_groups: Read payout groups
            rewards:write_payout_groups: Create and manage payout groups
            rewards:read_rewards_details: Read reward details

````